# Account Assets

`GET` `/v1/asset/account`

The API is used to obtain the available, desirable, frozen, to-be-settled, and in-transit
funds (fund purchase and redemption) information for each currency of the user.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `currency` | string | No | Currency (HKD, USD, CNH) |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/asset/account' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `list` | object[] | No | Account Balance |
| `└ total_cash` | string | No | Total Cash |
| `└ max_finance_amount` | string | No | Maximum Financing Amount |
| `└ remaining_finance_amount` | string | No | Remaining Financing Amount |
| `└ risk_level` | string | No | Risk control level. <b>Option:</b>, `0` - safe, `1` - medium risk, `2` - early warning, `3` - danger |
| `└ margin_call` | string | No | Margin Call |
| `└ currency` | string | No | Currency |
| `└ cash_infos` | object[] | No | Cash Details |
| `└ ∟ withdraw_cash` | string | No | Withdraw Cash |
| `└ ∟ available_cash` | string | No | Available Cash |
| `└ ∟ frozen_cash` | string | No | Frozen Cash |
| `└ ∟ settling_cash` | string | No | Cash to be Settled |
| `└ ∟ redemption_cash` | string | No | Redeemable cash. |
| `└ ∟ currency` | string | No | Currency |
| `└ net_assets` | string | No | net asset |
| `└ init_margin` | string | No | initial margin |
| `└ maintenance_margin` | string | No | maintenance margin |
| `└ buy_power` | string | No | Buy Power |
| `└ frozen_transaction_fees` | array | No | frozen fees |

### Response JSON Example

```json
{
  "code": 0,
  "data": {
    "list": [
      {
        "total_cash": "1759070010.72",
        "max_finance_amount": "977582000",
        "remaining_finance_amount": "0",
        "risk_level": "1",
        "margin_call": "2598051051.50",
        "currency": "HKD",
        "net_assets": "24145.90",
        "init_margin": "1540.09",
        "maintenance_margin": "1540.09",
        "buy_power": "1759070.12",
        "cash_infos": [
          {
            "withdraw_cash": "97592.30",
            "available_cash": "195902464.37",
            "frozen_cash": "11579339.13",
            "settling_cash": "207288537.81",
            "currency": "HKD"
          },
          {
            "withdraw_cash": "199893416.74",
            "available_cash": "199893416.74",
            "frozen_cash": "28723.76",
            "settling_cash": "-276806.51",
            "currency": "USD"
          }
        ],
        "frozen_transaction_fees": [
          {
            "currency": "USD",
            "frozen_transaction_fee": "6.51"
          }
        ]
      }
    ]
  }
}
```
